## node-utils-merge 1.0.0

=== Makefile ===
SOURCES = *.js
TESTS = test/*.test.js

# ==============================================================================
# Node Tests
# ==============================================================================

MOCHA = ./node_modules/.bin/mocha

test: test-node
test-node: node_modules
	$(MOCHA) \
		--reporter spec \
		--require test/bootstrap/node $(TESTS)

node_modules:
	npm install


# ==============================================================================
# Code Quality
# ==============================================================================

JSHINT = jshint

hint: lint
lint:
	$(JSHINT) $(SOURCES)


# ==============================================================================
# Clean
# ==============================================================================

clean:
	rm -rf build

clobber: clean
	rm -rf node_modules
	rm -rf components
	rm -rf test/www/js/lib


.PHONY: test test-node hint lint clean clobber

=== debian/changelog ===
node-utils-merge (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #744778)

 -- Leo Iannacone <l3on@ubuntu.com>  Wed, 16 Apr 2014 16:14:20 +0200

=== debian/control ===
Source: node-utils-merge
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
Standards-Version: 3.9.5
Homepage: http://github.com/jaredhanson/utils-merge
Vcs-Git: git://anonscm.debian.org/collab-maint/node-utils-merge.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-utils-merge.git

Package: node-utils-merge
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: provides a merge utility function
 Simple merges the properties from a source object 
 into a destination object.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:

override_dh_auto_test:

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-utils-merge-$1.tar.gz/ \
 http://github.com/jaredhanson/utils-merge/tags .*/archive/v?([\d\.]+).tar.gz

## node-utils-merge 1.0.1

=== Makefile ===
include node_modules/make-node/main.mk


SOURCES = lib/*.js lib/**/*.js
TESTS = test/*.test.js test/**/*.test.js

LCOVFILE = ./reports/coverage/lcov.info

MOCHAFLAGS = --require ./test/bootstrap/node


view-docs:
	open ./docs/index.html

view-cov:
	open ./reports/coverage/lcov-report/index.html

clean: clean-docs clean-cov
	-rm -r $(REPORTSDIR)

clobber: clean
	-rm -r node_modules


.PHONY: clean clobber

=== debian/changelog ===
node-utils-merge (1.0.1-2) unstable; urgency=medium

  * Bump debhelper compatibility level to 13
  * Modernize debian/watch
    * Fix GitHub tags regex
    * Fix filenamemangle
  * Use dh-sequence-nodejs
  * Uploaders: replace Leo Iannacone by myself, thanks for your work!
  * Update standards version to 4.6.0, no changes needed.
  * Drop dependency to nodejs

 -- Yadd <yadd@debian.org>  Sun, 26 Dec 2021 09:41:52 +0100

node-utils-merge (1.0.1-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Change priority to optional
  * Add debian/gbp.conf
  * Add upstream/metadata
  * New upstream version 1.0.1
  * Use pkg-js-tools auto install
  * Enable upstream test using mocha
  * Update VCS fields to salsa
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Tue, 10 Mar 2020 06:38:42 +0100

=== debian/control ===
Source: node-utils-merge
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , chai <!nocheck>
 , mocha <!nocheck>
 , dh-sequence-nodejs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-utils-merge
Vcs-Git: https://salsa.debian.org/js-team/node-utils-merge.git
Homepage: https://github.com/jaredhanson/utils-merge
Rules-Requires-Root: no

Package: node-utils-merge
Architecture: all
Depends: ${misc:Depends}
Description: provides a merge utility function
 Simple merges the properties from a source object
 into a destination object.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-utils-merge-$1/ \
 https://github.com/jaredhanson/utils-merge/tags .*/archive/.*/v?([\d\.]+).tar.gz
